codfw: ms-be2028-ms-be2039 rack/setup
Closed, ResolvedPublic

Description

This task will track the racking and setup of 12 new swift back end servers received T155659

Row A
rack A2 ms-be2028
rack A2 ms-be2029
rack A7 ms-be2030

Row B
Rack B2 ms-be2031
Rack B2 ms-be2032
Rack B7 ms-be2033

Row C
Rack C2 ms-be2034
Rack C2 ms-be2035
Rack C7 ms-be2036

Row D
Rack D2 ms-be2037
Rack D2 ms-be2038
Rack D7 ms-be2039

  • - racking schema approve ?
  • - receive in and attach packing slip to parent task T155659
  • - rack systems, update racktables
  • - create mgmt dns entries (both asset tag and hostname)
  • - create production dns entries (internal vlan)
  • - update/create sub task with network port info for all new hosts
  • - install_server module update (mac address and partitioning info, partition like existing ms-be systems)
  • - install os
  • - puppet/salt accept
  • - hand off to @fgiunchedi for service implementation.
Papaul created this task.Feb 16 2017, 6:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2017, 6:00 PM

@Papaul racking looks good to me, will all of those be 10G?
I'm assuming you have space to install the new hw alongside the old one ? If that's not the case we can do one row at a time.

Restricted Application added a project: Operations. · View Herald TranscriptFeb 17 2017, 12:17 PM

@fgiunchedi ye we do have a lot room to run both old and new server in parallel

Papaul triaged this task as "Normal" priority.Feb 17 2017, 4:35 PM
Papaul edited the task description. (Show Details)Feb 17 2017, 5:13 PM
Papaul edited the task description. (Show Details)Feb 21 2017, 9:22 PM

Change 340896 had a related patch set uploaded (by Papaul):
[operations/puppet] DHCP: Add DHCP entries for ms-be2028-msbe2039

https://gerrit.wikimedia.org/r/340896

Change 340896 merged by Dzahn:
[operations/puppet] DHCP: Add DHCP entries for ms-be2028-msbe2039

https://gerrit.wikimedia.org/r/340896

Change 341460 had a related patch set uploaded (by pt1979):
[operations/puppet] Partman: Add ms-be20[2-3][0-9]

https://gerrit.wikimedia.org/r/341460

Change 341460 merged by Dzahn:
[operations/puppet] Partman: Add ms-be20[2-3][0-9]

https://gerrit.wikimedia.org/r/341460

Papaul edited the task description. (Show Details)Mar 7 2017, 10:24 PM
Papaul edited the task description. (Show Details)Mar 7 2017, 11:48 PM
Papaul edited the task description. (Show Details)Mar 8 2017, 3:34 PM
Papaul reassigned this task from Papaul to fgiunchedi.

@fgiunchedi Installation complete. You good to take over.

Change 342074 had a related patch set uploaded (by Filippo Giunchedi):
[operations/puppet] Provision new ms-be machines in codfw

https://gerrit.wikimedia.org/r/342074

Change 342074 merged by Filippo Giunchedi:
[operations/puppet] Provision new ms-be machines in codfw

https://gerrit.wikimedia.org/r/342074

Mentioned in SAL (#wikimedia-operations) [2017-03-13T16:35:42Z] <godog> add ms-be2028/29/30 to swift codfw-prod, initial add - T158337

Mentioned in SAL (#wikimedia-operations) [2017-03-13T16:55:29Z] <godog> outdated swift rings pushed in eqiad-prod, pushed again updated rings from git repo - T158337

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.

Mentioned in SAL (#wikimedia-operations) [2017-03-16T08:57:57Z] <godog> codfw-prod: add ms-be203[1-9] - T158337

Mentioned in SAL (#wikimedia-operations) [2017-03-20T09:42:10Z] <godog> swift bump ms-be2028 -> ms-be2039 weight - T158337

Mentioned in SAL (#wikimedia-operations) [2017-03-23T11:08:07Z] <godog> codfw-prod: bump ms-be2028 ms-be2039 object weight to 2000 T158337

Mentioned in SAL (#wikimedia-operations) [2017-03-28T17:07:06Z] <godog> swift codfw-prod: bump ms-be2028 ms-be2039 object weight to 3000 - T158337

Mentioned in SAL (#wikimedia-operations) [2017-04-10T08:51:05Z] <godog> swift codfw-prod: bump ms-be2028 ms-be2039 object weight to 4000 - T158337

fgiunchedi closed this task as "Resolved".Tue, Apr 18, 1:59 PM

This is completed, decom for equivalent old hw is T162785: Decomission ms-be2001 - ms-be2012